Bug 1130298 - Partition tables are global across all organizations
Summary: Partition tables are global across all organizations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Jitendra Yejare
URL: http://projects.theforeman.org/issues...
Whiteboard: Verified in Upstream
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 19:22 UTC by Justin Sherrill
Modified: 2019-09-25 21:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 08:44:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC
Foreman Issue Tracker 7096 None None None 2016-04-22 14:54:40 UTC

Description Justin Sherrill 2014-08-14 19:22:22 UTC
Description of problem:

Currently partition tables are global across all organizations.  If i make a partition table in one org, it shows up in the other and can be edited/deleted.

Comment 1 Justin Sherrill 2014-08-14 19:24:01 UTC
Connecting redmine issue http://projects.theforeman.org/issues/7096 from this bug

Comment 4 Bryan Kearney 2015-06-09 11:47:15 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 6 Jitendra Yejare 2015-09-07 10:27:01 UTC
While verifying this bug I have tested four different combinations:

1. Created partition table 'partTab1' in default org without checking the option 'Default'. And then created two orgs 'org1' and 'org2'. I observed that the p.table 'partTab1' is not displayed in any of the newly created org 'org1' and 'org2'.

2. First created orgs 'org1' and 'org2' and then created partition table 'partTab2' in default org without checking option 'Default'. Observed the same as point 1 for p.table 'partTab2'.

3. Created partition table 'partTab3' in default org by checking the option 'Default'. And then created org 'org4'. I observed that the p.table 'partTab1' is displayed in org4 but not in any of the already created org 'org1' and 'org2'.

So Is all above 3 behaviours are expected. If yes I will make it verified else FailedQA.

Comment 7 Jitendra Yejare 2015-09-07 10:27:18 UTC
While verifying this bug I have tested four different combinations:

1. Created partition table 'partTab1' in default org without checking the option 'Default'. And then created two orgs 'org1' and 'org2'. I observed that the p.table 'partTab1' is not displayed in any of the newly created org 'org1' and 'org2'.

2. First created orgs 'org1' and 'org2' and then created partition table 'partTab2' in default org without checking option 'Default'. Observed the same as point 1 for p.table 'partTab2'.

3. Created partition table 'partTab3' in default org by checking the option 'Default'. And then created org 'org4'. I observed that the p.table 'partTab1' is displayed in org4 but not in any of the already created org 'org1' and 'org2'.

So Is all above 3 behaviours are expected. If yes I will make it verified else FailedQA.

Comment 8 Jitendra Yejare 2015-09-07 10:28:38 UTC
Question and observations in comment 6 and comment 7.

Comment 9 Marek Hulan 2015-09-07 11:08:38 UTC
What you describe in comment 6 is correct and expected. The inline help describes that properly I think "Default templates are automatically added to new organizations and locations". If it's marked as default it's associated only for *new* organizations, not to existing ones. If it's not marked as default it's not associated with any org automatically.

Comment 10 Jitendra Yejare 2015-09-08 11:24:10 UTC
Verified in upstream.
As per comment 6 and comment 9 moving this to Verified.

Versions:
foreman-1.10.0-0.develop.201509041547git84f7fc6.el7.noarch
foreman-release-scl-1-1.el7.x86_64

Comment 13 errata-xmlrpc 2016-07-27 08:44:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.